# Metadata Model

This model represents all the required data for displaying data on the SensePass Dashboard backoffice.

{% hint style="info" %}
You must use this structure:&#x20;

{% code lineNumbers="true" %}

```json
// metadata must be an array of objects with key-value pairs
"metadata": [
    {
        // mandatory static key-value - do not change this
        "key": "genericDisplay",
        // array of your sections
        "value": [
            {
                // your title for the section
                "sectionLabel": "Hello world",
                "values": [
                    {
                        "label": "Foo",
                        "value": "Bar"
                    },
                    ...// the rest of the label-value object pairs
                ]
            },
            ...// the rest of the sectionLabel-values object pairs
        ]
    }
]
```

{% endcode %}
{% endhint %}

### Metadata Model

This model is referenced in "metadata" parameter of [Create a transaction](/sensepay/transaction-api/payment-flows/create-a-transaction.md#creating-new-transaction) request body

<table><thead><tr><th width="212.9871382636656">field</th><th width="111.16318436735071">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>metadata</td><td>array</td><td>must contain array of key-value pairs</td></tr><tr><td>metadata[0].key</td><td>string</td><td>must be <code>genericDisplay</code></td></tr><tr><td>metadata[0].value</td><td>array</td><td>must be array or <code>sectionLabel</code>-<code>values</code> pairs</td></tr><tr><td>metadata[0].value[0].sectionLabel</td><td>string</td><td>title to display in the SensePass dashboard's transaction information</td></tr><tr><td>metadata[0].value[0].values</td><td>array</td><td>must be array of <code>label</code>-<code>value</code> pairs.<br>example: <code>{"label": "foo", "value": "bar"}</code> </td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sensepass.com/sensepay/transaction-api/models/metadata-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
